summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/ais_run
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2008-02-01 18:02:42 +0000
committerAlan Conway <aconway@apache.org>2008-02-01 18:02:42 +0000
commit956866626ca7b11cc55061ccf56959f978d586ec (patch)
treefaf661d0319505a2b4c57bc63ce6c03c3b7edf39 /qpid/cpp/src/tests/ais_run
parentd7c06001e741bd73d371021576452707afbcb1a9 (diff)
downloadqpid-python-956866626ca7b11cc55061ccf56959f978d586ec.tar.gz
Cluster code fixed for changes in codebase.
- Using SessionManager::Observer - Better ais test setup, only need to be member of ais group. - Update cluster_client - SessionState holds handler chains. - Cluster frames include next handler ptr. git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/trunk@617582 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/ais_run')
-rwxr-xr-xqpid/cpp/src/tests/ais_run15
1 files changed, 15 insertions, 0 deletions
diff --git a/qpid/cpp/src/tests/ais_run b/qpid/cpp/src/tests/ais_run
new file mode 100755
index 0000000000..0f45edc39c
--- /dev/null
+++ b/qpid/cpp/src/tests/ais_run
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# Run AIS tests, assumes that ais_check has passed and we are
+# running with the ais group ID.
+#
+
+# FIXME aconway 2008-01-30: we should valgrind the cluster brokers.
+
+srcdir=`dirname $0`
+$srcdir/start_cluster 4
+./ais_test
+ret=$?
+$srcdir/stop_cluster
+exit $ret
+